package com.grail.archives.remote;

import com.grail.archives.factory.FactoryArchivesService;
import com.grail.common.core.domain.R;
import com.grail.domain.request.Vo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @Author：
 * @Date：
 * @Description
 */
@FeignClient(value = "grail-archives",fallbackFactory = FactoryArchivesService.class)
public interface RemoteArchivesService {

    @PostMapping("/archivesList")
    public R archivesList(@RequestBody Vo vo);
}
