package com.grail.archives;

import com.grail.common.security.annotation.EnableCustomConfig;
import com.grail.common.security.annotation.EnableRyFeignClients;
import com.grail.common.swagger.annotation.EnableCustomSwagger2;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @Author：
 * @Date：
 * @Description
 */
@EnableCustomSwagger2
@EnableCustomConfig
@EnableRyFeignClients
@SpringBootApplication
public class ArchivesApplication {
    public static void main(String[] args) {
        SpringApplication.run(ArchivesApplication.class);
    }
}
