package com.grail.domain.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author：
 * @Date：
 * @Description 我的档案
 */
@Data
public class ArchivesResponse {

    //主要病状
    private String archivesName;

    //现病史
    private String archivesMedical;

    //既往病史
    private String archivesHistory;

    //最近一次治疗经历
    private String archivesLately;

    //治疗开始时间
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date archivesStartTime;

    //治疗结束时间
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date archivesEndTime;

    //治疗过程
    private String archivesProcess;

    //相关图片
    private String archivesPic;

    //用户ID
    private Integer userId;
}
