package com.grail.archives.factory;

import com.grail.archives.remote.RemoteArchivesService;
import com.grail.common.core.domain.R;
import com.grail.domain.request.Vo;
import org.springframework.cloud.openfeign.FallbackFactory;

/**
 * @Author：
 * @Date：
 * @Description
 */
public class FactoryArchivesService implements FallbackFactory<RemoteArchivesService> {
    @Override
    public RemoteArchivesService create(Throwable cause) {

        return new RemoteArchivesService() {
            @Override
            public R archivesList(Vo vo) {
                return R.fail("远程调用失败");
            }
        };
    }
}
