package com.grail.archives.mapper;

import com.grail.domain.model.Archives;
import com.grail.domain.request.ArchivesRequest;
import com.grail.domain.request.Vo;
import com.grail.domain.response.ArchivesResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：
 * @Date：
 * @Description
 */
@Mapper
public interface ArchivesMapper {
    List<Archives> archivesList(Vo vo);

    Integer archivesInsert(ArchivesResponse archives);

    Integer archivesUpdate(Archives archives);

    Integer archivesDelete(@Param("archivesId") Integer archivesId);

    ArchivesRequest archivesFind(@Param("archivesId") Integer archivesId);
}
